function eis_status_sts2_data_dumper::INIT

  print, 'eis_status_sts2_data_dumper::INIT'

  h = hash('min', 0., 'max', 0., 'avg', 0.)

  v  = hash('CAM_P5V1_DIG', h, 'CAM_P2V5_DIG', h, 'CAM_P5V_AN_A', h, 'CAM_P5V_AN_B', h, 'CAM_N5V_AN_A', h, 'CAM_N5V_AN_B', h, $
            'CAM_P36V_A', h,   'CAM_P36V_B', h,   'CAM_P12V_A', h,   'CAM_P12V_B', h,   'CAM_N10V_A', h,   'CAM_N10V_B', h)
  i  = hash('CAM_P5V1_DIG', h, 'CAM_P2V5I_DIG', h, 'CAM_P5VI_AN_A', h, 'CAM_P5VI_AN_B', h, 'CAM_N5VI_AN_A', h, 'CAM_N5VI_AN_B', h, $
            'CAM_P36VI_A', h,  'CAM_P36VI_B', h,   'CAM_P12VI_A', h,   'CAM_P12VI_B', h)
  b  = hash('CAM_VOD_A', h, 'CAM_VRD_A', h, 'CAM_VSS_A', h, 'CAM_VOD_B', h, 'CAM_VRD_B', h, 'CAM_VSS_B', h, $
            'CAM_VOD', h,   'CAM_VRD', h,   'CAM_VSS' ,h)
  p  = hash('PSU_CAM_P39V', h, 'PSU_CAM_P7V', h, 'PSU_CAM_N8V', h, 'PSU_CAM_P8V', h, 'PSU_CAM_P13V', h)
  pi = hash('PSU_CAM_P39VI', h, 'PSU_CAM_P7VI', h, 'PSU_CAM_N8VI', h, 'PSU_CAM_P8VI', h, 'PSU_CAM_P13VI', h)
  ci = hash('EIS_XRT_X', h, 'EIS_XRT_Y', h, 'FT_XF', h, 'FT_YF', h, 'FT_XBIN_PEAK', h, 'FT_YBIN_PEAK', h, 'ET_XF', h, 'ET_YF', h, $
            'ET_XBIN_PEAK', h, 'ET_YBIN_PEAK', h)
  m  = hash('CAM_CTL_REG1', h, 'CAM_CTL_REG2', h, 'CAM_SEU_COUNTER', h)
  t  = hash('CAM_UP_TEMP', h, 'CAM_LO_TEMP', h)
  s  = hash('TIME', h, 'SEQ_COUNTER', h)
  
  self.parameters = hash('cam_currents', i, 'cam_voltages', v, 'cam_ccd_biases', b, 'cam_psu_voltages', p, 'cam_psu_currents', pi, 'cam_icu_parameters', ci, 'cam_misc', m, 'cam_temperatures', t, 'cam_spacecraft', s)

  self->set_trace, 1
  
  return, 1

end


